Commit e6918812 authored by Thomas Friedrichsmeier's avatar Thomas Friedrichsmeier
Browse files

Announce RKWard 0.7.4

parent 1a308b2a
......@@ -8,8 +8,8 @@ layout: page
The latest official source packages. See [Building RKWard From Source](Building_RKWard_From_Source.html) for help on compiling.
- **[rkward-0.7.3](https://download.kde.org/stable/rkward/0.7.3/src/rkward-0.7.3.tar.gz)** (released April 21, 2022)
- [ChangeLog](https://invent.kde.org/education/rkward/-/blob/releases/0.7.3/ChangeLog)
- **[rkward-0.7.4](https://download.kde.org/stable/rkward/0.7.4/src/rkward-0.7.4.tar.gz)** (released May 30, 2022)
- [ChangeLog](https://invent.kde.org/education/rkward/-/blob/releases/0.7.4/ChangeLog)
## Compiled packages and system specific instructions
......
......@@ -36,50 +36,6 @@ However, this page is **not**:
These features are likely to become part of the next release.
### More import options
**Description**: Better support for importing data, including a generic rio-based importer, better support for pasting in data, and an import assistant.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Preview for (almost) all plugins
**Description**: All applicable plugins in the main distribution now provide a preview, allowing to view results faster, and helping to keep the output clean.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Fewer pop-up dialogs during package installation
**Description**: Especially the initial start of RKWard is crowded with pop-up dialogs. Reworking the package installation dialog takes another two of these,
without loss of functionality.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Rework "Welcome to RKWard" page
**Description**: Should be more dashboard like, with little text, but useful links
**Points for discussion / issues**: https://mail.kde.org/pipermail/rkward-devel/2022-April/005689.html
Replaces startup dialog
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
## Planned Features
......
......@@ -7,6 +7,53 @@ layout: page
* Table of contents
{:toc}
## Features implemented in RKWard 0.7.4
### More import options
**Description**: Better support for importing data, including a generic rio-based importer, better support for pasting in data, and an import assistant.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Preview for (almost) all plugins
**Description**: All applicable plugins in the main distribution now provide a preview, allowing to view results faster, and helping to keep the output clean.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Fewer pop-up dialogs during package installation
**Description**: Especially the initial start of RKWard is crowded with pop-up dialogs. Reworking the package installation dialog takes another two of these,
without loss of functionality.
**Points for discussion / issues**:
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
### Rework "Welcome to RKWard" page
**Description**: Should be more dashboard like, with little text, but useful links
**Points for discussion / issues**: https://mail.kde.org/pipermail/rkward-devel/2022-April/005689.html
Replaces startup dialog
**Development status**: <span style="color:green">Done</span>.
**Testing status**: N/A
## Features implemented in RKWard 0.7.3
### RKWard Output as document
......
......@@ -18,14 +18,12 @@ Developer access to Mac computers is still limited for the main contributors. Wh
### Requirements
* RKWard 0.7.3 currently requires Mac OS X 10.13 or higher.
* You have to install R, separately, version 4.1.2 or higher. Get it from <https://www.r-project.org/>.
* RKWard 0.7.4 currently requires Mac OS X 10.15 or higher.
* **You have to install R, separately**, version 4.2.0 or higher. Get it from <https://www.r-project.org/>.
### Download
### Download latest official version
* RKWard 0.7.3 is offered in two separate versions, for use with either R 4.1.x or R 4.2.x:
* For use with R 4.1.x: <https://download.kde.org/stable/rkward/0.7.3/mac/rkward-0.7.3-OSX-10.13-KF5-5.93.0_needs-R-4.1.dmg>
* For use with R 4.2.x: <https://download.kde.org/stable/rkward/0.7.3/mac/rkward-0.7.3-OSX-10.13-KF5-5.93.0_needs-R-4.2.dmg>
* RKWard 0.7.4 <https://download.kde.org/stable/rkward/0.7.4/rkward-0.7.4-R-4.2.0-KF5-5.94.0.exe> (needs R 4.2.x)
### Installation procedure
......@@ -39,45 +37,21 @@ Developer access to Mac computers is still limited for the main contributors. Wh
## Installing development snapshots
Nightly builds of RKWard are available at <https://binary-factory.kde.org/job/RKWard_Nightly_macos/>. At the time of this writing, these have the same requirements and installation procedure as the 0.7.3 version.
Nightly builds of RKWard are available at <https://binary-factory.kde.org/job/RKWard_Nightly_macos/>. These usually have the same requirements as the latest official release.
**These packages are built automatically, and have not received any human testing.** Back up your data before use!
## Installing RKWard on MacOS X 10.11 or 10.12
## Older releases that may still be of interest
### Requirements
* RKWard 0.7.3 is the latest version to support OSX 10.13. It is offered in two separate versions, for use with either R 4.1.x or R 4.2.x:
* For use with R 4.1.x: <https://download.kde.org/stable/rkward/0.7.3/mac/rkward-0.7.3-OSX-10.13-KF5-5.93.0_needs-R-4.1.dmg>
* For use with R 4.2.x: <https://download.kde.org/stable/rkward/0.7.3/mac/rkward-0.7.3-OSX-10.13-KF5-5.93.0_needs-R-4.2.dmg>
* RKWard 0.7.0 is the last version of RKWard to be built with support for Mac OS X 10.11 or 10.12.
* You have to install R, separately, either version 3.4.4, or version 3.5.0. Get it from <https://www.r-project.org/>. *No* other versions of R are expected to work with the packages provided.
### Installing using the precompiled binary bundle
We've used the MacPort of RKWard to precompile installation bundles wich
include all needed KDE libraries and RKWard (currently only for Mac OS X
El Capitan (10.11) or above):
- <https://download.kde.org/Attic/rkward/0.7.0/mac/RKWard-binary-0.7.0b_OSX10.11_KF5-5.42.0_needs_CRAN_R-3.4.4.pkg>
(for R 3.4.4)
- <https://download.kde.org/Attic/rkward/0.7.0/mac/RKWard-binary-0.7.0b_OSX10.11_KF5-5.42.0_needs_CRAN_R-3.5.0.pkg>
(for R 3.5.0)
These bundles do not include R, which means you need to install the
appropriate version of [R from CRAN](http://cran.r-project.org/bin/macosx/) first (**make sure the
RKWard bundle you install matches this R version**, as is said in the
bundle's file name: "*needs_CRAN_R-<version>*"). The bundle is still
work in progress, but it has been tested and is reported to run on
various machines. A screencast of the installation is available
[here](http://www.youtube.com/watch?v=2t4zUOlgPG8).
**Note:** *You might be prompted the installer doesn't come from a
trusted source. After you confirmed you would like to install it anyway,
OS X/macOS should remember this decision, but there have been cases
where the installer needed to be started from the beginning again.*
If you use this bundle package, please [send us
feedback](Contact.html), be it a short success notice or a bug
report. We rely on this simple feedback for the further development of
this port\!
* <https://download.kde.org/Attic/rkward/0.7.0/mac/RKWard-binary-0.7.0b_OSX10.11_KF5-5.42.0_needs_CRAN_R-3.4.4.pkg>
(for R 3.4.4)
* <https://download.kde.org/Attic/rkward/0.7.0/mac/RKWard-binary-0.7.0b_OSX10.11_KF5-5.42.0_needs_CRAN_R-3.5.0.pkg>
(for R 3.5.0)
### Uninstalling the bundle
......
......@@ -4,11 +4,9 @@ layout: page
# Download and install RKWard on Windows
## Variants:
## Lastest official release
Windows binaries of RKWard 0.7.3 are currently offered in two variants, for use with either R 4.1.x or R 4.2.x:
* R 4.1.x: <https://download.kde.org/stable/rkward/0.7.3/win32/rkward-0.7.3-R-4.1.2-KF5-5.93.0.exe> (includes R 4.1.2, and version 5.93.0 of the required KF5 frameworks)
* R 4.2.x: <https://download.kde.org/stable/rkward/0.7.3/win32/rkward-0.7.3-R-4.2.0-KF5-5.93.0.exe> (includes R 4.2.0, and version 5.93.0 of the required KF5 frameworks)
* RKWard 0.7.4 <https://download.kde.org/stable/rkward/0.7.4/rkward-0.7.4-R-4.2.0-KF5-5.94.0.exe> (includes R 4.2.0, and version 5.94.0 of the required KF5 frameworks)
## Installing the official release
......@@ -23,6 +21,11 @@ Nightly development snapshots are available from
these are built, automatically, and provided without any human testing.
Back up your data, before using these.
## Older releases that may still be of interest:
Should you wish to stick with R 4.1.x for now, you will either have to install from source (see below), or use RKWard 0.7.3:
* <https://download.kde.org/stable/rkward/0.7.3/win32/rkward-0.7.3-R-4.1.2-KF5-5.93.0.exe> (includes R 4.1.2, and version 5.93.0 of the required KF5 frameworks)
## Updating R inside the RKWard installation
Since RKWard 0.7.1, updating R is often possible without any updates to RKWard, especially, for patch level releases of R (e.g. 4.1.**3** over 4.1.**2**).
......@@ -48,6 +51,17 @@ Alternatively, you can install your new version of R to `[Your\RKWard\Installati
(--target=master is optional, and means to build the development version). This should be all you need to fetch rkward and all dependencies
(including R). In some cases (when - some - cached packages are not available) this may take several hours to complete.
3. (optionally): create an installer using:
`craft --package rkward`
To compile for a particular version of R, use (e.g.):
```
craft --target=4.1.2 r-base
craft -i rkward
```
#### Notes
- At times, compilation using craft will fail. If the build fails on
......@@ -59,6 +73,3 @@ Alternatively, you can install your new version of R to `[Your\RKWard\Installati
following python files
- *CRAFT\\ROOT*\\etc\\blueprints\\locations\\craft-blueprints-kde\\extragear\\rkward\\rkward\\rkward.py
- *CRAFT\\ROOT*\\etc\\blueprints\\locations\\craft-blueprints-kde\\binary\\_win\\r-base\\r-base.py
- For creating an installer, use
`craft --package rkward`
......@@ -11,7 +11,7 @@ layout: default
<h1>RKWard</h1>
<p>RKWard is an easy to use and easily extensible IDE/GUI for R.</p>
<p><b><a href="About.html">Learn more</a></b></p>
<h1>Download RKWard 0.7.3</h1>
<h1>Download RKWard 0.7.4</h1>
<p>for <b><a href="RKWard_on_Mac.html">macOS</a></b>&nbsp;|&nbsp;<b><a href="RKWard_on_Windows.html">Windows</a></b>&nbsp;|&nbsp;<b><a href="Download_RKWard.html">GNU/Linux</a></b></p>
</div>
</div>
......@@ -23,7 +23,7 @@ layout: default
<div class="main">
<div class="block">
<h2>Current News</h2>
{% capture dummy_include %}{% include 2022_04_21_announce_0.7.3_teaser.md %}{% endcapture %}
{% capture dummy_include %}{% include 2022_05_30_announce_0.7.4_teaser.md %}{% endcapture %}
{{ dummy_include | markdownify }}
<a href="News.html">Read more...</a>
</div>
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment